Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser.builders
Class SpanQueryBuilderFactory

    java.lang.Object
      org.apache.lucene.xmlparser.builders.SpanQueryBuilderFactory

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

    public class SpanQueryBuilderFactory

extends Object
implements SpanQueryBuilder

Constructor Summary
`SpanQueryBuilderFactory()`

Method Summary
`void` | `addBuilder(String nodeName, SpanQueryBuilder builder)`
`Query` | `getQuery(Element e)`
`SpanQuery` | `getSpanQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanQueryBuilderFactory

    public SpanQueryBuilderFactory()

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

### addBuilder

    public void addBuilder(String nodeName,
                           SpanQueryBuilder builder)

### getSpanQuery

    public SpanQuery getSpanQuery(Element e)
                           throws ParserException

  Specified by:
    `getSpanQuery` in interface `SpanQueryBuilder`
  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD